Subject: Re: [PATCH 2/3] powerpc: Avoid load hit store in setup_sigcontext()

From: Anton Blanchard <[email-masked]>
Date: Mon, 30 May 2016 09:23:40 +1000

Hi,

> On Sun, 2016-05-29 at 22:03 +1000, Anton Blanchard wrote:
> > From: Anton Blanchard <[email-masked]>
> > 
> > In setup_sigcontext(), we set current->thread.vrsave then use it
> > straight after. Since current is hidden from the compiler via inline
> > assembly, it cannot optimise this and we end up with a load hit
> > store.  
> 
> Is setup_sigcontext() really a fast path we need to optimise?

setup_sigcontext() is called for every signal we deliver. I'd like
userspace to use less signals, but we still stumble across workloads
with quite heavy use of them.

Anton